"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Compose extends command_1.Command {
    async run() {
        const { flags } = this.parse(Compose);
        service_1.BootstrapUtils.showBanner();
        await new service_1.BootstrapService(this.config.root).compose(flags);
    }
}
exports.default = Compose;
Compose.description = 'It generates the `docker-compose.yml` file from the configured network.';
Compose.examples = [`$ symbol-bootstrap compose`];
Compose.flags = {
    help: service_1.BootstrapUtils.helpFlag,
    target: service_1.BootstrapUtils.targetFlag,
    reset: command_1.flags.boolean({
        char: 'r',
        description: 'It resets the configuration generating a new one',
        default: service_1.ComposeService.defaultParams.reset,
    }),
    user: command_1.flags.string({
        char: 'u',
        description: `User used to run the services in the docker-compose.yml file. "${service_1.BootstrapUtils.CURRENT_USER}" means the current user.`,
        default: 'current',
    }),
};
