"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class HealthCheck extends command_1.Command {
    async run() {
        const { flags } = this.parse(HealthCheck);
        service_1.BootstrapUtils.showBanner();
        await new service_1.BootstrapService(this.config.root).healthCheck(flags);
    }
}
exports.default = HealthCheck;
HealthCheck.description = `It checks if the services created with docker compose are up and running.

- Whether the docker containers are running.
- Whether the services' exposed ports are listening.
- Whether the rest gateways' /node/health are OK.

The health check process handles 'repeat' and custom 'openPort' services.
    `;
HealthCheck.examples = [`$ symbol-bootstrap healthCheck`];
HealthCheck.flags = {
    help: service_1.BootstrapUtils.helpFlag,
    target: service_1.BootstrapUtils.targetFlag,
};
