"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Stop extends command_1.Command {
    run() {
        const { flags } = this.parse(Stop);
        service_1.BootstrapUtils.showBanner();
        return new service_1.RunService(flags).stop();
    }
}
exports.default = Stop;
Stop.description = 'It stops the docker-compose network if running (symbol-bootstrap started with --detached). This is just a wrapper for the `docker-compose down` bash call.';
Stop.examples = [`$ symbol-bootstrap stop`];
Stop.flags = {
    help: service_1.BootstrapUtils.helpFlag,
    target: service_1.BootstrapUtils.targetFlag,
};
