"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PortService = void 0;
const net = require("net");
class PortService {
    static async isReachable(port, host, timeout = 1000) {
        const promise = new Promise((resolve, reject) => {
            const socket = new net.Socket();
            const onError = () => {
                socket.destroy();
                reject();
            };
            socket.setTimeout(timeout);
            socket.once('error', onError);
            socket.once('timeout', onError);
            socket.connect(port, host, () => {
                socket.end();
                resolve();
            });
        });
        try {
            await promise;
            return true;
        }
        catch (_) {
            return false;
        }
    }
}
exports.PortService = PortService;
